## kparts 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KParts)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION "5.3")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)


include(GenerateExportHeader)

include(ECMSetupVersion)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KPARTS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kparts_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

if(BUILD_TESTING)
  add_subdirectory( tests )
  add_subdirectory( autotests )
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"kparts5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory( src )

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Parts")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PartsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PartsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PartsTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kparts_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(KParts_LIB_SRCS
    partbase.cpp
    part.cpp
    openurlarguments.cpp
    readonlypart.cpp
    readwritepart.cpp
    plugin.cpp
    partmanager.cpp
    mainwindow.cpp
    event.cpp
    guiactivateevent.cpp
    partactivateevent.cpp
    partselectevent.cpp
    browserextension.cpp
    browserhostextension.cpp
    browserarguments.cpp
    liveconnectextension.cpp
    openurlevent.cpp
    windowargs.cpp
    historyprovider.cpp
    browserinterface.cpp
    browserrun.cpp
    browseropenorsavequestion.cpp
    statusbarextension.cpp
    scriptableextension.cpp
    textextension.cpp
    htmlextension.cpp
    htmlsettingsinterface.cpp
    selectorinterface.cpp
    fileinfoextension.cpp
    listingfilterextension.cpp
    listingnotificationextension.cpp
)

include(ECMGenerateHeaders)
ecm_generate_headers(KParts_CamelCase_HEADERS
    HEADER_NAMES
        BrowserArguments
        BrowserExtension
        BrowserHostExtension
        BrowserInterface
        BrowserOpenOrSaveQuestion
        BrowserRun
        Event
        FileInfoExtension
        GUIActivateEvent
        HistoryProvider
        HtmlExtension
        HtmlSettingsInterface
        ListingFilterExtension
        ListingNotificationExtension
        LiveConnectExtension
        MainWindow
        OpenUrlArguments
        OpenUrlEvent
        Part
        PartActivateEvent
        PartBase
        PartManager
        PartSelectEvent
        Plugin
        ReadOnlyPart
        ReadWritePart
        ScriptableExtension
        SelectorInterface
        StatusBarExtension
        TextExtension
        WindowArgs
    REQUIRED_HEADERS KParts_HEADERS
    PREFIX KParts
)
install(FILES ${KParts_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KParts/KParts
        COMPONENT Devel)

add_library(KF5Parts ${KParts_LIB_SRCS})
generate_export_header(KF5Parts EXPORT_FILE_NAME ${KParts_BINARY_DIR}/kparts/kparts_export.h BASE_NAME KParts)
add_library(KF5::Parts ALIAS KF5Parts)

target_include_directories(KF5Parts PUBLIC "$<BUILD_INTERFACE:${KParts_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KF5Parts INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KParts>" )

target_link_libraries(KF5Parts PUBLIC  KF5::KIOWidgets #browserrun.h uses krun.h
                                       KF5::XmlGui # essential to the technology
                                       KF5::TextWidgets # needed for KFind, as interface
                               PRIVATE KF5::I18n #few uses of i18n and i18nc, can be probably stripped down
                                       KF5::IconThemes #only used by KPart::iconLoader()
                      )

if(HAVE_NEPOMUK)
    target_link_libraries(KF5Parts PRIVATE nepomuk nepomukutils)
endif()

set_target_properties(KF5Parts PROPERTIES VERSION   ${KPARTS_VERSION_STRING}
                                          SOVERSION ${KPARTS_SOVERSION}
                                          EXPORT_NAME Parts
)

install(TARGETS KF5Parts EXPORT KF5PartsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   kpart.desktop
   krop.desktop
   krwp.desktop
   browserview.desktop
   DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR}
)
install(FILES
  ${KParts_BINARY_DIR}/kparts/kparts_export.h
  ${KParts_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KParts/kparts COMPONENT Devel
)

install(FILES kde_terminal_interface.h DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KParts )


include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KParts LIB_NAME KF5Parts DEPS "KIOWidgets KXmlGui KTextWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KParts)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

## kparts 5.3.0

=== debian/changelog ===
kparts (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:13:16 +0100

kparts (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Cleanup copyright + move copyright extra details to comment to silence
    space-in-std-shortname-in-dep5-copyright lintian error.  

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:44:44 +0200

kparts (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:14:31 +0200

kparts (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 15:54:34 +0200

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kio-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kparts
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kparts.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kparts.git

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: kio-dev,
         libkf5notifications-dev,
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev,
         libkf5xmlgui-dev,
         ${misc:Depends}
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Multi-arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

Package: libkf5parts5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5parts5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kparts
 Framework providing elaborate user-interface components.
 .
 Contains debug symbols for kparts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5parts5-dbg

override_dh_auto_test:	
	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kparts-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kparts-(.*)\.tar\.xz

## kparts 5.9.0

=== debian/changelog ===
kparts (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:18:42 +0200

kparts (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:45:09 +0100

kparts (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:29:37 +0100

kparts (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:53:19 +0100

kparts (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:24:54 +0100

kparts (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:03:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,39 +5,39 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kio-dev (>= 5.3.0),
-               libkf5attica-dev (>= 5.3.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5bookmarks-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5completion-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5globalaccel-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5jobwidgets-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5notifications-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5solid-dev (>= 5.3.0),
-               libkf5sonnet-dev (>= 5.3.0),
-               libkf5textwidgets-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
-               libkf5xmlgui-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kio-dev (>= 5.9.0),
+               libkf5attica-dev (>= 5.9.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5bookmarks-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5completion-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5globalaccel-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5jobwidgets-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5notifications-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5solid-dev (>= 5.9.0),
+               libkf5sonnet-dev (>= 5.9.0),
+               libkf5textwidgets-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
+               libkf5xmlgui-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kparts
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kparts.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kparts.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kparts.git
 
 Package: libkf5parts-dev

## kparts 5.15.0

=== debian/changelog ===
kparts (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:54:10 +0100

kparts (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:24:28 +0100

kparts (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:27:16 +0200

kparts (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  *  Fix merge.
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 15:51:04 +0200

kparts (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 10:31:58 +0200

kparts (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:50:07 +0200

kparts (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:12 +0200

kparts (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:10 +0100

kparts (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:56 +0100

kparts (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add basic autopkgtests support.
  * Update copyright information.
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Feb 2015 16:48:46 +0100

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5itemviews-dev (>= 5.15.0~),
               libkf5jobwidgets-dev (>= 5.15.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               libkf5textwidgets-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/kparts
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kparts.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kparts.git

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.15.0~),
         libkf5notifications-dev (>= 5.15.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.15.0~),
         libkf5xmlgui-dev (>= 5.15.0~),
         ${misc:Depends}
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Multi-arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

Package: libkf5parts5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5parts5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kparts
 Framework providing elaborate user-interface components.
 .
 Contains debug symbols for kparts.

## kparts 5.18.0

=== debian/changelog ===
kparts (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:23:47 +0100

kparts (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:40 +0100

kparts (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:40 +0200

kparts (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:45 +0100

kparts (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:41 +0200

kparts (5.13.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Really fix the symbols file for kfreebsd.

  [ Maximiliano Curia ]
  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 00:17:20 +0200

kparts (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5itemviews-dev (>= 5.15.0~),
-               libkf5jobwidgets-dev (>= 5.15.0~),
-               libkf5notifications-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5textwidgets-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5itemviews-dev (>= 5.18.0~),
+               libkf5jobwidgets-dev (>= 5.18.0~),
+               libkf5notifications-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5textwidgets-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kparts
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kparts.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kparts.git
@@ -31,11 +30,11 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev (>= 5.15.0~),
+Depends: kio-dev (>= 5.16.0~),
          libkf5notifications-dev (>= 5.15.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.15.0~),
-         libkf5xmlgui-dev (>= 5.15.0~),
+         libkf5textwidgets-dev (>= 5.16.0~),
+         libkf5xmlgui-dev (>= 5.16.0~),
          ${misc:Depends}
 Description: development files for kparts
  Framework providing elaborate user-interface components.

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5parts5-dbg
 
-override_dh_auto_test:	
+override_dh_auto_test:
 	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kparts-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kparts-([\d.]+)\.tar\.xz

## kparts 5.26.0

=== debian/changelog ===
kparts (5.26.0-0ubuntu1) yakkety; urgency=medium

  * Set manual screen for xvfb in tests
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:48:19 +0100

kparts (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refreshing symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:44:54 +0000

kparts (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:15:56 +0200

kparts (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:34:11 -0700

kparts (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:30 +0100

kparts (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:23 +0100

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kio-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5iconthemes-dev (>= 5.26.0~),
               libkf5itemviews-dev (>= 5.26.0~),
               libkf5jobwidgets-dev (>= 5.26.0~),
               libkf5notifications-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               libkf5textwidgets-dev (>= 5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5xmlgui-dev (>= 5.26.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kparts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.26.0~),
         libkf5notifications-dev (>= 5.26.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.26.0~),
         libkf5xmlgui-dev (>= 5.26.0~),
         ${misc:Depends}
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Multi-arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

## kparts 5.27.0

=== debian/changelog ===
kparts (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:07:01 +0200

kparts (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:02:12 +0200

kparts (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:51:13 +0200

kparts (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 18:11:31 +0200

kparts (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 12:02:53 +0200

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.27.0~),
               kio-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.27.0~),
               libkf5coreaddons-dev (>= 5.27.0~),
               libkf5i18n-dev (>= 5.27.0~),
               libkf5iconthemes-dev (>= 5.27.0~),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5jobwidgets-dev (>= 5.27.0~),
               libkf5kio-dev (>= 5.27.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.27.0~),
               libkf5textwidgets-dev (>= 5.27.0~),
               libkf5widgetsaddons-dev (>= 5.27.0~),
               libkf5xmlgui-dev (>= 5.27.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kparts
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kparts.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kparts.git

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.26.0~),
         libkf5notifications-dev (>= 5.15.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.27.0~),
         libkf5xmlgui-dev (>= 5.27.0~),
         ${misc:Depends}
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.
Breaks: kross-dev (<< 5.27),
        libkf5kdelibs4support-dev (<< 5.27),
        libkf5khtml-dev (<< 5.27),
        libkf5mediaplayer-dev (<< 5.27),
        libkf5texteditor-dev (<< 5.27)

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Multi-arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
Breaks: kross (<< 5.27),
        libkf5kdelibs4support5 (<< 5.27),
        libkf5khtml-bin (<< 5.27),
        libkf5khtml5 (<< 5.27),
        libkf5krossui5 (<< 5.27),
        libkf5mediaplayer5 (<< 5.27),
        libkf5texteditor5 (<< 5.27),
        libkf5webkit5 (<< 5.27)

## kparts 5.28.0

=== debian/changelog ===
kparts (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:06:32 +0100

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kio-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5jobwidgets-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.28.0~),
               libkf5textwidgets-dev (>= 5.28.0~),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libkf5xmlgui-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kparts
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kparts.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kparts.git

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.26.0~),
         libkf5notifications-dev (>= 5.15.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.28.0~),
         libkf5xmlgui-dev (>= 5.28.0~),
         ${misc:Depends}
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.
Breaks: kross-dev (<< 5.28),
        libkf5kdelibs4support-dev (<< 5.28),
        libkf5khtml-dev (<< 5.28),
        libkf5mediaplayer-dev (<< 5.28),
        libkf5texteditor-dev (<< 5.28)

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Multi-arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
Breaks: kross (<< 5.28),
        libkf5kdelibs4support5 (<< 5.28),
        libkf5khtml-bin (<< 5.28),
        libkf5khtml5 (<< 5.28),
        libkf5krossui5 (<< 5.28),
        libkf5mediaplayer5 (<< 5.28),
        libkf5texteditor5 (<< 5.28),
        libkf5webkit5 (<< 5.28)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5parts5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

## kparts 5.31.0

=== debian/changelog ===
kparts (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:49:55 +0000

kparts (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:31 +0000

kparts (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:22 +0000

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kparts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts

Package: libkf5parts-dev
Architecture: any
Section: libdevel
Depends: kio-dev (>= 5.31.0~),
         libkf5notifications-dev (>= 5.31.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.31.0~),
         libkf5xmlgui-dev (>= 5.31.0~),
         ${misc:Depends}
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts-data
Architecture: all
Multi-arch: foreign
Depends: ${misc:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

## kparts 5.38.0

=== debian/changelog ===
kparts (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:36 +0100

kparts (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:46:41 +0100

kparts (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:51:44 +0100

kparts (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:56:36 +0100

kparts (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:24:29 +0100

kparts (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:03:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
-               libkf5jobwidgets-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5notifications-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5textwidgets-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5itemviews-dev (>= 5.38.0~),
+               libkf5jobwidgets-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
+               libkf5notifications-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
+               libkf5textwidgets-dev (>= 5.38.0~),
+               libkf5widgetsaddons-dev (>= 5.38.0~),
+               libkf5xmlgui-dev (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                xauth,
@@ -30,11 +30,11 @@
 Package: libkf5parts-dev
 Architecture: any
 Section: libdevel
-Depends: kio-dev (>= 5.31.0~),
-         libkf5notifications-dev (>= 5.31.0~),
+Depends: kio-dev (>= 5.38.0~),
+         libkf5notifications-dev (>= 5.38.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.31.0~),
-         libkf5xmlgui-dev (>= 5.31.0~),
+         libkf5textwidgets-dev (>= 5.38.0~),
+         libkf5xmlgui-dev (>= 5.38.0~),
          ${misc:Depends}
 Description: development files for kparts
  Framework providing elaborate user-interface components.

## kparts 5.44.0

=== debian/changelog ===
kparts (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:41 +0000

kparts (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:12 +0000

kparts (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:27 +0000

kparts (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:07:09 -0600

kparts (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:20 +0000

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5itemviews-dev (>= 5.44.0~),
               libkf5jobwidgets-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5notifications-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5textwidgets-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kparts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts

Package: libkf5parts-data
Architecture: all
Multi-arch: foreign
Depends: ${misc:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts-dev
Architecture: any
Section: libdevel
Depends: kio-dev (>= 5.44.0~),
         libkf5notifications-dev (>= 5.44.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.44.0~),
         libkf5xmlgui-dev (>= 5.44.0~),
         ${misc:Depends}
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	$(overridden_command) --dbgsym-migration='libkf5parts5-dbg (<= 5.19.0-1~~)'
 
 override_dh_auto_test:
-	xvfb-run -a $(overridden_command)
+	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kparts-([\d.]+)\.tar\.xz
